| optoICC

Loading...
Searching...
No Matches
optoICC.registers.icc_registers.InertialMeasurementUnit Class Reference

Parent class => FeedbackSystem
More...

Inheritance diagram for optoICC.registers.icc_registers.InertialMeasurementUnit:

## Public Member Functions
| __init__ (self, board=None)
| get_value (self, channel)
| get_value_id (self, channel)
| is_init_done (self)
| get_accel_x (self)
| get_accel_y (self)
| get_accel_z (self)
| get_gyro_x (self)
| get_gyro_y (self)
| get_gyro_z (self)
| get_gyro_x_offset (self)
| get_gyro_y_offset (self)
| get_gyro_z_offset (self)
| get_accel_resolution (self)
| get_gyro_resolution (self)
| get_accel_run (self)
| get_gyro_run (self)
| get_dlpf (self)
| get_init_done (self)
| set_gyro_x_offset (self, offset)
| set_gyro_y_offset (self, offset)
| set_gyro_z_offset (self, offset)
| set_callback_prescaler (self, prescaler=20)
| set_accel_resolution (self, resolution=0)
| set_gyro_resolution (self, resolution=0)
| set_dlpf (self, value=0)
| is_init_done (self)
| init (self)
| start_accel_readout (self)
| stop_accel_readout (self)
| start_gyro_readout (self)
| stop_gyro_readout (self)
| get_accel (self)
| get_gyro (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x37
dict | accel_run
dict | accel_x
dict | accel_y
dict | accel_z
dict | gyro_run
dict | gyro_x
dict | gyro_y
dict | gyro_z
dict | gyro_x_offset
dict | gyro_y_offset
dict | gyro_z_offset
dict | callback_prescaler
dict | accel_resolution
dict | gyro_resolution
dict | dlpf
dict | init_imu
dict | init_done
dict | accel_vec = {'id': self.sys_id << 8 | 0x00, 'type': float}
dict | gyro_vec = {'id': self.sys_id << 8 | 0x01, 'type': float}
| name = self.__class__.__name__

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

Parent class => FeedbackSystem

    Device Functionality - Inertial Measurement Unit
    System ID: 0x37

    * Inertial Measurement Unit system ID: <b>0x37</b>
    *
    * The inertial measurement unit system provides information about the actual
    * acceleration in X,Y,Z direction of actuator and angular rate around these axis.
    * It also includes the parameter registers for setup of the IMU.
    *
    * ### Register Map:
    *
    *  | Address | Name             | Default Value | Description                                           |  Type  | Access     |
    *  |---------|---------------------|---------------|-------------------------------------------------------|--------|------------|
    *  | 0x3700  | RUN_ACCEL            | false         | Enable/Disable accelerometer readout callback         | boolean| read write |
    *  | 0x3701  | ACCEL_X              | N/A           | Accelerometer value in X direction [m/s/s]            | float  | read only  |
    *  | 0x3702  | ACCEL_Y              | N/A           | Accelerometer value in Y direction [m/s/s]            | float  | read only  |
    *  | 0x3703  | ACCEL_Z              | N/A           | Accelerometer value in Z direction [m/s/s]            | float  | read only  |
    *  | 0x3704  | RUN_GYRO             | false         | Enable/Disable Gyroscope readout callback             | boolean| read write |
    *  | 0x3705  | GYRO_X               | N/A           | Gyroscope value in X direction [deg/s]                | float  | read only  |
    *  | 0x3706  | GYRO_Y               | N/A           | Gyroscope value in Y direction [deg/s]                | float  | read only  |
    *  | 0x3707  | GYRO_Z               | N/A           | Gyroscope value in Z direction [deg/s]                | float  | read only  |
    *  | 0x3708  | CALLBACK_PRESCALER  | 20            | System timer callback prescaler                        | uint16 | read write |
    *  | 0x3709  | ACCEL_RESOLUTION     | 0             | Resolution of accelerometer [0=2g, 1=4g, 2=8g, 3=16g] | uint8_t| read write |
    *  | 0x370A  | GYRO_RESOLUTION     | 0              | Resolution of gyroscope [0=250, 1=500, 2=1000, 3=2000]| uint8_t| read write |
    *  | 0x370B  | DLPF                 | 0             | Digital low pass filter for gyro. and accelerometer   | uint8_t| read write |
    *  | 0x370C  | INIT                 | N/A           | Writes configuration from registers into IMU          | uint8  | write      |
    *  | 0x370D  | INIT_DONE            | false         | If init was successful, then ==true                   | uint8  | read only  |
    *  |---------|---------------------|---------------|-------------------------------------------------------|--------|------------|
    *
    * ### Vector Map:
    *
    * | Address | Name             | Default  | Description                     | Format and value | Access     |
    * |---------|------------------|----------|--------------------------------|------------------|------------|
    * | 0x3700  | ACCEL_VALUES      |   N/A    | {X,Y,Z}, 3 * float (12 bytes)  | float            | read only  |
    * | 0x3701  | GYRO_VALUES       |   N/A    | {X,Y,Z}, 3 * float (12 bytes)  | float            | read only  |
    *
    */

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.InertialMeasurementUnit.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoICC.registers.icc_registers.InertialMeasurementUnit.help | ( |  | ) |
| static

## ◆ get_value()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_value | ( |  | self,
|  |  | channel )

## ◆ get_value_id()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_value_id | ( |  | self,
|  |  | channel )

## ◆ is_init_done() [1/2]

optoICC.registers.icc_registers.InertialMeasurementUnit.is_init_done | ( |  | self | ) |

## ◆ get_accel_x()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel_x | ( |  | self | ) |

## ◆ get_accel_y()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel_y | ( |  | self | ) |

## ◆ get_accel_z()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel_z | ( |  | self | ) |

## ◆ get_gyro_x()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_x | ( |  | self | ) |

## ◆ get_gyro_y()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_y | ( |  | self | ) |

## ◆ get_gyro_z()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_z | ( |  | self | ) |

## ◆ get_gyro_x_offset()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_x_offset | ( |  | self | ) |

## ◆ get_gyro_y_offset()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_y_offset | ( |  | self | ) |

## ◆ get_gyro_z_offset()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_z_offset | ( |  | self | ) |

## ◆ get_accel_resolution()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel_resolution | ( |  | self | ) |

## ◆ get_gyro_resolution()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_resolution | ( |  | self | ) |

## ◆ get_accel_run()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel_run | ( |  | self | ) |

## ◆ get_gyro_run()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro_run | ( |  | self | ) |

## ◆ get_dlpf()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_dlpf | ( |  | self | ) |

## ◆ get_init_done()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_init_done | ( |  | self | ) |

## ◆ set_gyro_x_offset()

optoICC.registers.icc_registers.InertialMeasurementUnit.set_gyro_x_offset | ( |  | self,
|  |  | offset )

## ◆ set_gyro_y_offset()

optoICC.registers.icc_registers.InertialMeasurementUnit.set_gyro_y_offset | ( |  | self,
|  |  | offset )

## ◆ set_gyro_z_offset()

optoICC.registers.icc_registers.InertialMeasurementUnit.set_gyro_z_offset | ( |  | self,
|  |  | offset )

## ◆ set_callback_prescaler()

optoICC.registers.icc_registers.InertialMeasurementUnit.set_callback_prescaler | ( |  | self,
|  |  | prescaler = 20 )

## ◆ set_accel_resolution()

optoICC.registers.icc_registers.InertialMeasurementUnit.set_accel_resolution | ( |  | self,
|  |  | resolution = 0 )

## ◆ set_gyro_resolution()

optoICC.registers.icc_registers.InertialMeasurementUnit.set_gyro_resolution | ( |  | self,
|  |  | resolution = 0 )

## ◆ set_dlpf()

optoICC.registers.icc_registers.InertialMeasurementUnit.set_dlpf | ( |  | self,
|  |  | value = 0 )

## ◆ is_init_done() [2/2]

optoICC.registers.icc_registers.InertialMeasurementUnit.is_init_done | ( |  | self | ) |

## ◆ init()

optoICC.registers.icc_registers.InertialMeasurementUnit.init | ( |  | self | ) |

## ◆ start_accel_readout()

optoICC.registers.icc_registers.InertialMeasurementUnit.start_accel_readout | ( |  | self | ) |

## ◆ stop_accel_readout()

optoICC.registers.icc_registers.InertialMeasurementUnit.stop_accel_readout | ( |  | self | ) |

## ◆ start_gyro_readout()

optoICC.registers.icc_registers.InertialMeasurementUnit.start_gyro_readout | ( |  | self | ) |

## ◆ stop_gyro_readout()

optoICC.registers.icc_registers.InertialMeasurementUnit.stop_gyro_readout | ( |  | self | ) |

## ◆ get_accel()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_accel | ( |  | self | ) |

## ◆ get_gyro()

optoICC.registers.icc_registers.InertialMeasurementUnit.get_gyro | ( |  | self | ) |

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.InertialMeasurementUnit._is_a_system = True
| static protected

## ◆ sys_id

int optoICC.registers.icc_registers.InertialMeasurementUnit.sys_id = 0x37

## ◆ accel_run

dict optoICC.registers.icc_registers.InertialMeasurementUnit.accel_run

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': int, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ accel_x

dict optoICC.registers.icc_registers.InertialMeasurementUnit.accel_x

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': float, 'unit': None,
'range': [-16000, 16000], 'default': None, 'value': None}

## ◆ accel_y

dict optoICC.registers.icc_registers.InertialMeasurementUnit.accel_y

Initial value:
= {'id': self.sys_id << 8 | 0x02, 'type': float, 'unit': None,
'range': [-16000, 16000], 'default': None, 'value': None}

## ◆ accel_z

dict optoICC.registers.icc_registers.InertialMeasurementUnit.accel_z

Initial value:
= {'id': self.sys_id << 8 | 0x03, 'type': float, 'unit': None,
'range': [-16000, 16000], 'default': None, 'value': None}

## ◆ gyro_run

dict optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_run

Initial value:
= {'id': self.sys_id << 8 | 0x04, 'type': int, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ gyro_x

dict optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_x

Initial value:
= {'id': self.sys_id << 8 | 0x05, 'type': float, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ gyro_y

dict optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_y

Initial value:
= {'id': self.sys_id << 8 | 0x06, 'type': float, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ gyro_z

dict optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_z

Initial value:
= {'id': self.sys_id << 8 | 0x07, 'type': float, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ gyro_x_offset

dict optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_x_offset

Initial value:
= {'id': self.sys_id << 8 | 0x08, 'type': float, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ gyro_y_offset

dict optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_y_offset

Initial value:
= {'id': self.sys_id << 8 | 0x09, 'type': float, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ gyro_z_offset

dict optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_z_offset

Initial value:
= {'id': self.sys_id << 8 | 0x0A, 'type': float, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ callback_prescaler

dict optoICC.registers.icc_registers.InertialMeasurementUnit.callback_prescaler

Initial value:
= {'id': self.sys_id << 8 | 0x0B, 'type': int, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ accel_resolution

dict optoICC.registers.icc_registers.InertialMeasurementUnit.accel_resolution

Initial value:
= {'id': self.sys_id << 8 | 0x0C, 'type': int, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ gyro_resolution

dict optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_resolution

Initial value:
= {'id': self.sys_id << 8 | 0x0D, 'type': int, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ dlpf

dict optoICC.registers.icc_registers.InertialMeasurementUnit.dlpf

Initial value:
= {'id': self.sys_id << 8 | 0x0E, 'type': int, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ init_imu

dict optoICC.registers.icc_registers.InertialMeasurementUnit.init_imu

Initial value:
= {'id': self.sys_id << 8 | 0x0F, 'type': int, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ init_done

dict optoICC.registers.icc_registers.InertialMeasurementUnit.init_done

Initial value:
= {'id': self.sys_id << 8 | 0x10, 'type': int, 'unit': None,
'range': None, 'default': None, 'value': None}

## ◆ accel_vec

optoICC.registers.icc_registers.InertialMeasurementUnit.accel_vec = {'id': self.sys_id << 8 | 0x00, 'type': float}

## ◆ gyro_vec

optoICC.registers.icc_registers.InertialMeasurementUnit.gyro_vec = {'id': self.sys_id << 8 | 0x01, 'type': float}

## ◆ name

optoICC.registers.icc_registers.InertialMeasurementUnit.name = self.__class__.__name__